Skip to content

Check if a profile is allowed to invite an address or ENS name

GET
/invitations/check
curl --request GET \
--url 'https://api.ethos.network/api/v2/invitations/check?addressOrEns=example'
senderProfileId
integer
> 0 <= 2147483647
addressOrEns
required
string

Successful response

Media typeapplication/json
Any of:
object
canInvite
required
boolean
address
required

Ethereum address (0x-prefixed, 20 bytes)

string

Example

{
"canInvite": true
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}